Subject: [Gen-art] Gen-ART Last Call review of draft-adid-urn-01

From: Brian E Carpenter <[email-masked]>
Date: Thu, 24 Nov 2016 14:00:04 +1300

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-adid-urn-01.txt
Reviewer: Brian Carpenter
Review Date: 2016-11-24
IETF LC End Date: 2016-12-19
IESG Telechat date:

Summary: Almost ready
--------

Comment:
--------

I looked in vain for a shepherd's writeup or even a shepherd. I have no idea whether
this draft has gone through adequate expert review, and I am certainly not an expert.

Major Issues:
-------------

This is an informative document that states "Ad-ID is the industry standard..." but doesn't
provide a clear normative reference to an industry standard at that point. I assume that
would be [SMPTERP2092-1]. If so it should be referenced right there. Unfortunately it's
behind a pay wall (http://ieeexplore.ieee.org/document/7291518/). The IESG needs to confirm
whether that's acceptable.

>   An Ad-ID Identifier consists of a unique eleven character string
>   or a unique twelve character string (video codes only).

What's a "character"? ASCII or UTF-8?

The informative reference [Ad-ID-INTRO] doesn't seem to know whether it's a technical
appendix or a reference, and the URL that it cites is unhelpful. The material at
http://www.ad-id.org/how-it-works/ad-id-structure seems to be what is needed but
partly duplicates what is in the draft. Maybe this material is only given here because
the actual SMPTE standard costs more than $100? If so, I think it should be clearly
labelled as informational material and that only the SMPTE document is definitive.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 24 Nov 2016 11:41:00 +0200

Many thanks for the review, Brian.

And you have good comments/questions. What say the authors?

Jari

---

From: Jarrett Wold <[email-masked]>
Date: Thu, 24 Nov 2016 11:56:24 -0500

Hi -
Thanks for the feedback. I will provide this info over the weekend.
Jarrett

Sent from my iPhone

> On Nov 24, 2016, at 4:41 AM, Jari Arkko <[email-masked]> wrote:
>

---

From: Jarrett Wold <[email-masked]>
Date: Mon, 28 Nov 2016 17:04:26 -0500

Hi -
Thanks for the comments.  Please see my responses.

I used the EIDR draft as a template
(https://tools.ietf.org/id/draft-pal-eidr-urn-00.txt).  Ad-ID is similar,
but for advertisements where as EDIR is for program content.

Major Issues:
-------------

This is an informative document that states "Ad-ID is the industry
standard..." but doesn't provide a clear normative reference to an industry
standard at that point. I assume that would be [SMPTERP2092-1]. If so it
should be referenced right there. Unfortunately it's behind a pay wall
(http://ieeexplore.ieee.org/document/7291518/). The IESG needs to confirm
whether that's acceptable.

   SMPTE can readily make SMPTE RP 2092-1 available privately to IESG
members (through a liaison).
   Note that SMPTE and ISO exceptionally make standards available for free
upon request.

It is Alphanumeric. Our character coding is UTF-8.  Im not sure if this is
needed.

The informative reference [Ad-ID-INTRO] doesn't seem to know whether it's a
technical appendix or a reference, and the URL that it cites is unhelpful.
The material at http://www.ad-id.org/how-it-works/ad-id-structure seems to
be what is needed but partly duplicates what is in the draft. Maybe this
material is only given here because the actual SMPTE standard costs more
than $100? If so, I think it should be clearly labelled as informational
material and that only the SMPTE document is definitive.

  This is meant to just be an introductory text for what an Ad-ID is.  That
being said, perhaps a link to here is more relevant:
http://www.ad-id.org/how-it-works/ad-id-structure  This is also referenced
in SMPTE RP 2092-1

Jarrett

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Nov 2016 11:28:05 +1300

Hi Jarrett,

Thanks for your reply - follow-ups in line:
>    Note that SMPTE and ISO exceptionally make standards available for free

OK, this isn't necessarily a show-stopper, but I just wanted to be sure
that the IESG is aware of the situation.

> It is Alphanumeric. Our character coding is UTF-8.  Im not sure if this is

Well, neither am I! As I said, I'm not a URN expert, but it seems to me
that avoiding any ambiguity by *specifying* UTF-8 would be better.
RFC5234 leaves it open:
"In certain contexts, a specific mapping (encoding) of values into a
character set (such as ASCII) will be specified."
RFC2141 section 2.2 also leaves it open by allowing for translation
from non-URN characters.

> http://www.ad-id.org/how-it-works/ad-id-structure  This is also referenced

Yes, I think so. If the reader is from the SMPTE world, it may not help,
but for readers from the IETF world I think it will do so.

Regards
   Brian